# Class yii\console\UnknownCommandException

Inheritance | yii\console\UnknownCommandException » yii\console\Exception » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0.11
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/console/UnknownCommandException.php

UnknownCommandException represents an exception caused by incorrect usage of a console command.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$command | string | The name of the command that could not be recognized. | yii\console\UnknownCommandException

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$application | yii\console\Application |  | yii\console\UnknownCommandException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Construct the exception. | yii\console\UnknownCommandException
getName() |  | yii\console\UnknownCommandException
getSuggestedAlternatives() | Suggest alternative commands for $command based on string similarity. | yii\console\UnknownCommandException

## Property Details

$application protected property
protected yii\console\Application $application = null
$command public property

The name of the command that could not be recognized.

public string $command = null

## Method Details

__construct() public method

Construct the exception.

public void __construct ( $route, $application, $code = 0, Exception $previous = null )
$route | string | The route of the command that could not be found.
$application | yii\console\Application | The console application instance involved.
$code | integer | The Exception code.
$previous | Exception | The previous exception used for the exception chaining.

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception

getSuggestedAlternatives() public method

Suggest alternative commands for $command based on string similarity.

Alternatives are searched using the following steps:

- suggest alternatives that begin with `$command`
- find typos by calculating the Levenshtein distance between the unknown command and all available commands. The Levenshtein distance is defined as the minimal number of characters you have to replace, insert or delete to transform str1 into str2.

See also https://secure.php.net/manual/en/function.levenshtein.php.

public array getSuggestedAlternatives ( )
return | array | A list of suggested alternatives sorted by similarity.